package hatelace.instructions;

import hatelace.*;

public class Halt extends Instruction {
    /** Halts the CPU */
    public Halt(){};

    public void execute(Memory memory, ProgramCounter PC) {
        PC.halt();
    }

    protected String opcode() {
        return "HLT";
    }

    protected Object[] operands() {
        return new Object[] {};
    }

    public String toString() {
        return this.opcode();
    }
}
